Search - Get Geocode Autocomplete

Use to get ranked list of suggested entities based on a user's location and a partial query.
Given a request with a user's location and a partial query that serves as the prefix of a full query string (referred to as a query prefix), the Azure Maps Autocomplete API returns a list of suggested entities that the user is most likely searching for. These entities are ranked from most to least likely.

GET {endpoint}/geocode:autocomplete?api-version=2026-01-01&query={query}
GET {endpoint}/geocode:autocomplete?api-version=2026-01-01&query={query}&coordinates={coordinates}&bbox={bbox}&top={top}&resultTypeGroups={resultTypeGroups}&resultTypes={resultTypes}&view={view}&countryRegion={countryRegion}

URI Parameters

Name In Required Type Description
endpoint
path True

string (uri)

The Azure Maps service hostname. Use https://atlas.microsoft.com for the Azure public cloud. To target a specific Azure Maps geography or a sovereign cloud, see Azure Maps geographic scope.

api-version
query True

string

minLength: 1

The API version to use for this operation.

query
query True

string

Required. The user's query prefix.

Example: "1 Micro" or "Muir Woods".

bbox
query

number[]

Required when coordinates is not provided. A rectangular area on the earth defined as a bounding box object. The sides of the rectangle are defined by longitude and latitude values. When you specify this parameter, the geographical area is taken into account when computing the results of a location query.

Example: lon1,lat1,lon2,lat2.

Minimum size: approximately 0.00001 degrees (~0.01 meters).

Maximum size: up to the full global extent (-180,-90 to 180,90)

coordinates
query

number[]

Required when bbox is not provided. A point on the earth specified as a longitude and latitude. When you specify this parameter, the user's location is taken into account and the results returned may be more relevant to the user. Example: &coordinates=lon,lat

Note: coordinates becomes a secondary signal if bbox is provided.

countryRegion
query

string

Signal for the autocomplete result to an ISO 3166-1 Alpha-2 region/country code that is specified e.g. FR. Only results in the specified country/region will be returned.

resultTypeGroups
query

AutocompleteResultTypeGroupsEnum[]

A comma separated list of returned entity type groups. The possible values are

  • Address
  • Place
resultTypes
query

AutocompleteResultTypeEnum[]

A comma separated list of returned entity types. When type group is set to Address, the supported types are:

  • Address
  • RoadBlock

All other types belong to the Place type group. These may include entities such as AdminDivision1, Neighborhood, PopulatedPlace, and more. Default value is all possible entity types.

top
query

integer (int32)

minimum: 1
maximum: 20

Maximum number of responses that will be returned. Default: 5, minimum: 1 and maximum: 20.

view
query

string

A string that represents an ISO 3166-1 Alpha-2 region/country code. This will alter Geopolitical disputed borders and labels to align with the specified user region. By default, the View parameter is set to "Auto" even if you haven't defined it in the request.

Please refer to Supported Views for details and to see the available Views.

Request Header

Name Required Type Description
x-ms-client-id

string

Specifies which account is intended for usage in conjunction with the Azure AD security model. It represents a unique ID for the Azure Maps account and can be retrieved from the Azure Maps management plane Account API. For more information on using Microsoft Entra ID security in Azure Maps, see Manage authentication in Azure Maps.

Accept-Language

string

Language in which search results should be returned.

Please refer to Supported Languages for details.

Responses

Name Type Description
200 OK

AutocompleteResponse

The request has succeeded.

Media Types: "application/geo+json", "application/json"

Other Status Codes

Azure.Core.Foundations.ErrorResponse

An unexpected error response.

Media Types: "application/geo+json", "application/json"

Headers

x-ms-error-code: string

Security

AadToken

These are the Microsoft Entra OAuth 2.0 Flows. When paired with Azure role-based access control it can be used to control access to Azure Maps REST APIs. Azure role-based access controls are used to designate access to one or more Azure Maps resource account or sub-resources. Any user, group, or service principal can be granted access via a built-in role or a custom role composed of one or more permissions to Azure Maps REST APIs.

To implement scenarios, we recommend viewing authentication concepts. In summary, this security definition provides a solution for modeling application(s) via objects capable of access control on specific APIs and scopes.

Note

  • This security definition requires the use of the x-ms-client-id header to indicate which Azure Maps resource the application is requesting access to. This can be acquired from the Maps management API.
  • The Authorization URL is specific to the Azure public cloud instance. Sovereign clouds have unique Authorization URLs and Microsoft Entra ID configurations.
  • The Azure role-based access control is configured from the Azure management plane via Azure portal, PowerShell, CLI, Azure SDKs, or REST APIs.
  • Usage of the Azure Maps Web SDK allows for configuration based setup of an application for multiple use cases.
  • For more information on Microsoft identity platform, see Microsoft identity platform overview.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
https://atlas.microsoft.com/.default

subscription-key

This is a shared key that is provisioned when you Create an Azure Maps account in the Azure portal or using PowerShell, CLI, Azure SDKs, or REST API.

With this key, any application can access all REST API. In other words, this key can be used as a master key in the account that they are issued in.

For publicly exposed applications, our recommendation is to use the confidential client applications approach to access Azure Maps REST APIs so your key can be securely stored.

Type: apiKey
In: header

SAS Token

This is a shared access signature token is created from the List SAS operation on the Azure Maps resource through the Azure management plane via Azure portal, PowerShell, CLI, Azure SDKs, or REST APIs.

With this token, any application is authorized to access with Azure role-based access controls and fine-grain control to the expiration, rate, and region(s) of use for the particular token. In other words, the SAS Token can be used to allow applications to control access in a more secured way than the shared key.

For publicly exposed applications, our recommendation is to configure a specific list of allowed origins on the Map account resource to limit rendering abuse and regularly renew the SAS Token.

Type: apiKey
In: header

Examples

Autocomplete API call to search for '1 Microsoft'
Autocomplete API call to search for '1 Microsoft Way, Redmond', filtered by roadblock resultTypes, place resultTypeGroups, and return empty result
Autocomplete API call to search for 'Muir Woods', filtered by address resultTypeGroups
Autocomplete API call to search for 'Muir Woods', filtered by park and populated place resultTypes, place resultTypeGroups
Autocomplete API call to search for 'Muir Woods', filtered by park resultTypes
Autocomplete API call to search for 'Muir Woods', filtered by place resultTypeGroups
Autocomplete API call to search for 'Muir Woods', filtered by roadblock resultTypes, address resultTypeGroups

Autocomplete API call to search for '1 Microsoft'

Sample request

GET https://atlas.microsoft.com/geocode:autocomplete?api-version=2026-01-01&query=1 Microsoft&coordinates=-113.301894,49.201888

Sample response

Content-Type: application/geo+json
{
  "type": "FeatureCollection",
  "features": [
    {
      "type": "Feature",
      "geometry": null,
      "properties": {
        "typeGroup": "Address",
        "type": "Address",
        "address": {
          "streetNumber": "1",
          "streetName": "Microsoft Way",
          "addressLine": "1 Microsoft Way",
          "locality": "Redmond",
          "adminDistricts": [
            {
              "name": "Washington"
            },
            {
              "name": "King County"
            }
          ],
          "countryRegion": {
            "ISO": "US",
            "name": "United States"
          },
          "postalCode": "98052",
          "formattedAddress": "1 Microsoft Way, Redmond, Washington 98052, United States"
        }
      }
    },
    {
      "type": "Feature",
      "geometry": null,
      "properties": {
        "typeGroup": "Place",
        "type": "LandmarkBuilding",
        "address": {
          "locality": "Bellevue",
          "adminDistricts": [
            {
              "name": "Washington"
            },
            {
              "name": "King County"
            }
          ],
          "countryRegion": {
            "ISO": "US",
            "name": "United States"
          },
          "formattedAddress": "Bellevue, Washington, United States"
        },
        "name": "Microsoft-Advanta C"
      }
    }
  ]
}

Autocomplete API call to search for '1 Microsoft Way, Redmond', filtered by roadblock resultTypes, place resultTypeGroups, and return empty result

Sample request

GET https://atlas.microsoft.com/geocode:autocomplete?api-version=2026-01-01&query=1 Microsoft Way, Redmond&coordinates=-113.301894,49.201888&resultTypeGroups=Place&resultTypes=RoadBlock

Sample response

Content-Type: application/geo+json
{
  "type": "FeatureCollection",
  "features": []
}

Autocomplete API call to search for 'Muir Woods', filtered by address resultTypeGroups

Sample request

GET https://atlas.microsoft.com/geocode:autocomplete?api-version=2026-01-01&query=Muir Woods&coordinates=-113.301894,49.201888&resultTypeGroups=Address

Sample response

Content-Type: application/geo+json
{
  "type": "FeatureCollection",
  "features": [
    {
      "type": "Feature",
      "geometry": null,
      "properties": {
        "typeGroup": "Address",
        "type": "Address",
        "address": {
          "streetName": "Muir Woods Rd",
          "addressLine": " Muir Woods Rd",
          "locality": "Sausalito",
          "adminDistricts": [
            {
              "name": "California"
            },
            {
              "name": "Marin County"
            }
          ],
          "countryRegion": {
            "ISO": "US",
            "name": "United States"
          },
          "postalCode": "94965",
          "formattedAddress": "Muir Woods Rd, Sausalito, California 94965, United States"
        }
      }
    },
    {
      "type": "Feature",
      "geometry": null,
      "properties": {
        "typeGroup": "Address",
        "type": "RoadBlock",
        "address": {
          "streetName": "Muir St",
          "addressLine": " Muir St",
          "locality": "Grosse Pointe Farms",
          "adminDistricts": [
            {
              "name": "Michigan"
            },
            {
              "name": "Wayne County"
            }
          ],
          "countryRegion": {
            "ISO": "US",
            "name": "United States"
          },
          "postalCode": "48236",
          "formattedAddress": "Muir St, Grosse Pointe Farms, Michigan 48236, United States"
        }
      }
    }
  ]
}

Autocomplete API call to search for 'Muir Woods', filtered by park and populated place resultTypes, place resultTypeGroups

Sample request

GET https://atlas.microsoft.com/geocode:autocomplete?api-version=2026-01-01&query=Muir Woods&coordinates=-122.581711,37.896980&resultTypeGroups=Place&resultTypes=Park,PopulatedPlace

Sample response

Content-Type: application/geo+json
{
  "type": "FeatureCollection",
  "features": [
    {
      "type": "Feature",
      "geometry": null,
      "properties": {
        "typeGroup": "Place",
        "type": "PopulatedPlace",
        "address": {
          "locality": "Muir Woods",
          "adminDistricts": [
            {
              "name": "Georgia"
            },
            {
              "name": "Fulton County"
            }
          ],
          "countryRegion": {
            "ISO": "US",
            "name": "United States"
          },
          "postalCode": "30349",
          "formattedAddress": "Muir Woods, Georgia 30349, United States"
        }
      }
    },
    {
      "type": "Feature",
      "geometry": null,
      "properties": {
        "typeGroup": "Place",
        "type": "Park",
        "address": {
          "adminDistricts": [
            {
              "name": "California"
            },
            {
              "name": "Marin County"
            }
          ],
          "countryRegion": {
            "ISO": "US",
            "name": "United States"
          },
          "formattedAddress": "California"
        },
        "name": "Muir Woods National Park"
      }
    }
  ]
}

Autocomplete API call to search for 'Muir Woods', filtered by park resultTypes

Sample request

GET https://atlas.microsoft.com/geocode:autocomplete?api-version=2026-01-01&query=Muir Woods&coordinates=-122.581711,37.896980&resultTypes=Park

Sample response

Content-Type: application/geo+json
{
  "type": "FeatureCollection",
  "features": [
    {
      "type": "Feature",
      "geometry": null,
      "properties": {
        "typeGroup": "Place",
        "type": "Park",
        "address": {
          "adminDistricts": [
            {
              "name": "California"
            },
            {
              "name": "Marin County"
            }
          ],
          "countryRegion": {
            "ISO": "US",
            "name": "United States"
          },
          "formattedAddress": "California"
        },
        "name": "Muir Woods National Monument"
      }
    }
  ]
}

Autocomplete API call to search for 'Muir Woods', filtered by place resultTypeGroups

Sample request

GET https://atlas.microsoft.com/geocode:autocomplete?api-version=2026-01-01&query=Muir Woods&coordinates=-122.581711,37.896980&resultTypeGroups=Place

Sample response

Content-Type: application/geo+json
{
  "type": "FeatureCollection",
  "features": [
    {
      "type": "Feature",
      "geometry": null,
      "properties": {
        "typeGroup": "Place",
        "type": "Forest",
        "address": {
          "adminDistricts": [
            {
              "name": "Wisconsin"
            },
            {
              "name": "Dane County"
            }
          ],
          "countryRegion": {
            "ISO": "US",
            "name": "United States"
          },
          "formattedAddress": "Wisconsin"
        },
        "name": "Muir Woods"
      }
    },
    {
      "type": "Feature",
      "geometry": null,
      "properties": {
        "typeGroup": "Place",
        "type": "PopulatedPlace",
        "address": {
          "locality": "Muir Woods",
          "adminDistricts": [
            {
              "name": "Georgia"
            },
            {
              "name": "Fulton County"
            }
          ],
          "countryRegion": {
            "ISO": "US",
            "name": "United States"
          },
          "postalCode": "30349",
          "formattedAddress": "Muir Woods, Georgia 30349, United States"
        }
      }
    },
    {
      "type": "Feature",
      "geometry": null,
      "properties": {
        "typeGroup": "Place",
        "type": "Park",
        "address": {
          "adminDistricts": [
            {
              "name": "California"
            },
            {
              "name": "Marin County"
            }
          ],
          "countryRegion": {
            "ISO": "US",
            "name": "United States"
          },
          "formattedAddress": "California"
        },
        "name": "Muir Woods National Monument"
      }
    }
  ]
}

Autocomplete API call to search for 'Muir Woods', filtered by roadblock resultTypes, address resultTypeGroups

Sample request

GET https://atlas.microsoft.com/geocode:autocomplete?api-version=2026-01-01&query=Muir Woods&coordinates=-113.301894,49.201888&resultTypeGroups=Address&resultTypes=RoadBlock

Sample response

Content-Type: application/geo+json
{
  "type": "FeatureCollection",
  "features": [
    {
      "type": "Feature",
      "geometry": null,
      "properties": {
        "typeGroup": "Address",
        "type": "RoadBlock",
        "address": {
          "streetName": "Muir St",
          "addressLine": " Muir St",
          "locality": "Grosse Pointe Farms",
          "adminDistricts": [
            {
              "name": "Michigan"
            },
            {
              "name": "Wayne County"
            }
          ],
          "countryRegion": {
            "ISO": "US",
            "name": "United States"
          },
          "postalCode": "48236",
          "formattedAddress": "Muir St, Grosse Pointe Farms, Michigan 48236, United States"
        }
      }
    }
  ]
}

Definitions

Name Description
Address

The address of a geocoded or autocomplete-suggested location, parsed into structured fields. Sparseness is normal: only the fields that the resolved entity supplies are populated. For example, streetName and streetNumber appear only for street-level addresses, and intersection appears only for road-intersection results.

AddressAdminDistrictsItem

An administrative subdivision that contains an address. For example, a state, province, or county. Returned as one entry in the parent Address.adminDistricts array, where entries are ordered from coarsest to finest.

AddressCountryRegion

The country or region that contains the address, identified by its display name and ISO 3166-1 Alpha-2 country code. Either field may be omitted in a given response.

AutocompleteFeature

A single entry in the features array of an AutocompleteResponse, conforming to the GeoJSON Feature object shape. Represents one autocomplete suggestion: classification (type, typeGroup), parsed address, and optional place name are exposed via properties, with a representative coordinate on geometry when one is available.

AutocompleteProperties

The properties payload of an AutocompleteFeature. Carries the result's classification (typeGroup, type), its parsed address, and (for many Place-typed results) a separate display name.

AutocompleteResponse

The successful response body returned by Get Autocomplete. Encoded as a GeoJSON FeatureCollection whose features array contains one Feature per autocomplete suggestion, ranked from most to least likely.

AutocompleteResultTypeEnum

A classification of autocomplete suggestions used by Get Autocomplete both as an input filter (via the resultTypes query parameter) and as an output label (via the type field on each AutocompleteProperties). The members define a gazetteer-style taxonomy spanning addresses, road segments, administrative regions, populated places, natural features, and points of interest. This taxonomy is partitioned into two broader groups by AutocompleteResultTypeGroupsEnum: Address, which covers addresses and road segments; and Place, which covers all other result types.

AutocompleteResultTypeGroupsEnum

A coarse classification of an autocomplete suggestion into one of two groups. Used by Get Autocomplete both as an input filter via the resultTypeGroups query parameter (restricting which kinds of suggestions are returned) and as an output classifier via the typeGroup field on each AutocompleteProperties (identifying which group a returned suggestion belongs to). The Address group covers individual addresses and street segments; the Place group covers all other entity types (administrative regions, populated places, natural features, and points of interest).

Azure.Core.Foundations.Error

The error object.

Azure.Core.Foundations.ErrorResponse

A response containing error details.

Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

FeatureCollectionEnum

The GeoJSON object type used at the root of successful responses from the forward geocoding, reverse geocoding, and autocomplete operations (including their batch variants). The only value is FeatureCollection, as defined in RFC 7946. Get Polygon is the one exception: its response root is a GeoJSON Feature, see FeatureTypeEnum.

FeatureTypeEnum

The GeoJSON object type for Feature objects. Tags each entry inside the features array of a FeatureCollection response (geocoding, reverse geocoding, autocomplete) and appears at the root of the Get Polygon response. The only value is Feature, as defined in RFC 7946.

GeoJsonObjectType

Specifies the GeoJSON type. Must be one of the nine valid GeoJSON object types - Point, MultiPoint, LineString, MultiLineString, Polygon, MultiPolygon, GeometryCollection, Feature and FeatureCollection.

GeoJsonPoint

A valid GeoJSON Point geometry type. Please refer to RFC 7946 for details.

Intersection

Intersection details for an address resolved as a road intersection — the corner where two or more named streets meet. Populated only when the resolved entity is a RoadIntersection; the parent Address.intersection is otherwise omitted.

Address

The address of a geocoded or autocomplete-suggested location, parsed into structured fields. Sparseness is normal: only the fields that the resolved entity supplies are populated. For example, streetName and streetNumber appear only for street-level addresses, and intersection appears only for road-intersection results.

Name Type Description
addressLine

string

The first line of the address, typically the street name and number. For example, "15127 NE 24th St".

adminDistricts

AddressAdminDistrictsItem[]

The administrative subdivisions that contain the address, ordered from coarsest to finest. The first entry is typically the first-order subdivision (such as a U.S. state or a Canadian province); subsequent entries cover finer divisions where the country, dependency, or region defines them (such as a county at index 1).

countryRegion

AddressCountryRegion

The country or region that contains the address, with its display name and ISO 3166-1 Alpha-2 country code.

formattedAddress

string

The full address rendered as a single human-readable string, with the components joined according to the conventions of the address's country or region. Example: "15127 NE 24th St, Redmond, WA 98052".

intersection

Intersection

The intersecting-street details for the address, populated when the resolved entity is a RoadIntersection (such as the corner of two named streets).

locality

string

The locality the address falls within: usually a city, town, or village. For example: "Redmond".

neighborhood

string

The named neighborhood within the locality, when one is identified.

postalCode

string

The postal code for the address, when one is defined. Example: "98052".

streetName

string

The street name component of the address, when the resolved entity is a street-level address. Example: "NE 24th St".

streetNumber

string

The house or building number on the street, when the resolved entity is a street-level address. Example: "15127".

AddressAdminDistrictsItem

An administrative subdivision that contains an address. For example, a state, province, or county. Returned as one entry in the parent Address.adminDistricts array, where entries are ordered from coarsest to finest.

Name Type Description
name

string

The full name of the subdivision. For example, "Washington" for a U.S. state, or "King County" for a county.

shortName

string

The short or abbreviated form of the subdivision name, when one is defined. For example, "WA" for a U.S. state. Finer subdivisions often have no distinct short form, in which case shortName repeats name (such as "King County").

AddressCountryRegion

The country or region that contains the address, identified by its display name and ISO 3166-1 Alpha-2 country code. Either field may be omitted in a given response.

Name Type Description
ISO

string

The ISO 3166-1 Alpha-2 country code for the country or region. For example, "US" for the United States, or "GB" for the United Kingdom.

name

string

The display name of the country or region. For example, "United States".

AutocompleteFeature

A single entry in the features array of an AutocompleteResponse, conforming to the GeoJSON Feature object shape. Represents one autocomplete suggestion: classification (type, typeGroup), parsed address, and optional place name are exposed via properties, with a representative coordinate on geometry when one is available.

Name Type Description
geometry

GeoJsonPoint

The coordinate of the autocomplete suggestion as a GeoJSON Point, with values in WGS 84 longitude/latitude order. May be omitted when the suggestion does not resolve to a single representative coordinate, for example, broad regional or place-name suggestions.

properties

AutocompleteProperties

Structured data about the autocomplete suggestion, including its classification, parsed address, and (for Place-typed suggestions) the place name. See AutocompleteProperties for the per-property shape.

type

FeatureTypeEnum

The GeoJSON object type. Always Feature, as defined in RFC 7946.

AutocompleteProperties

The properties payload of an AutocompleteFeature. Carries the result's classification (typeGroup, type), its parsed address, and (for many Place-typed results) a separate display name.

Name Type Description
address

Address

The address of the autocomplete result, parsed into structured fields. Address-typed results typically include street-level detail; Place-typed results carry locality, administrative districts, and country/region (street-level fields are usually omitted).

name

string

The display name of the suggested place. Populated for Place-typed results when the name is not already represented in the structured address (for example, parks, landmarks, or other named features). Omitted for Address-typed results and for Place-typed results whose name is already included in address (such as a populated place whose name appears in address.locality).

type

AutocompleteResultTypeEnum

The specific entity kind that the result resolves to. For example, an address, a populated place, a park, or a landmark. See AutocompleteResultTypeEnum for the full value list, partitioned into the Address and Place groups by AutocompleteResultTypeGroupsEnum.

typeGroup

AutocompleteResultTypeGroupsEnum

The broad classification of the result as either an address or a named place. See AutocompleteResultTypeGroupsEnum for the value list.

AutocompleteResponse

The successful response body returned by Get Autocomplete. Encoded as a GeoJSON FeatureCollection whose features array contains one Feature per autocomplete suggestion, ranked from most to least likely.

Name Type Description
features

AutocompleteFeature[]

The array of GeoJSON Feature objects returned by the query. Each Feature represents a single autocomplete suggestion: its classification (type, typeGroup), parsed address, and optional place name are exposed via properties, and its primary coordinate via geometry.

nextLink

string

Contains the URL to fetch the next page of results if the response is paginated. This is useful when the response is too large to be returned in a single call, allowing users to navigate through multiple pages of results.

type

FeatureCollectionEnum

The GeoJSON object type of a successful Get Autocomplete response body. Always FeatureCollection, as defined in RFC 7946.

AutocompleteResultTypeEnum

A classification of autocomplete suggestions used by Get Autocomplete both as an input filter (via the resultTypes query parameter) and as an output label (via the type field on each AutocompleteProperties). The members define a gazetteer-style taxonomy spanning addresses, road segments, administrative regions, populated places, natural features, and points of interest. This taxonomy is partitioned into two broader groups by AutocompleteResultTypeGroupsEnum: Address, which covers addresses and road segments; and Place, which covers all other result types.

Value Description
Address

A specific street address.

AdminDivision1

First administrative level within the country/region, such as a state or a province.

AdminDivision2

Second administrative level within the country/region, such as a county.

AdminDivision3

Third administrative level within the country/region, such as a district, parish, or municipality.

AdministrativeBuilding

A building that houses government offices or public administrative functions.

Airport

A facility where aircraft regularly take off and land, with facilities for passengers and cargo.

AirportTerminal

A passenger terminal building within an airport.

AmusementPark

An entertainment facility featuring rides, games, and themed attractions.

AncientSite

A place where archaeological remains or cultural artifacts of an ancient civilization are preserved.

Aquarium

A public facility where aquatic plants and animals are exhibited and studied.

Archipelago

A group or chain of islands.

Basin

A natural depression in the land surface, often surrounded by higher terrain.

Battlefield

A site of a historically significant land battle.

Bay

A body of water partially enclosed by land, smaller than a gulf and larger than a cove.

Beach

A shore of sand, pebble, or other unconsolidated sediment along a body of water.

Bridge

A structure carrying a road, railway, or path across an obstacle such as a river, valley, or another road.

BusinessStructure

A building used for general business or commercial activities that doesn't fit a more specific category.

Camp

A site with shelters or facilities for temporary occupation, such as a campground or seasonal settlement.

Canal

An artificial watercourse used for transportation, irrigation, or drainage.

Casino

A facility used for gambling and games of chance.

Castle

A historically fortified building or complex of buildings, typically associated with noble or royal residence.

Cave

A natural underground chamber or passage formed in rock.

Cemetery

A burial place or graveyard.

Channel

A navigable waterway between two land bodies or the main flow path of a larger water body.

Church

A building used for public Christian worship.

Cliff

A high, steep face of rock or earth, often overlooking a coast or valley.

Coast

A named stretch of land bordering the sea.

CommunityCenter

A facility hosting community activities, meetings, and social services.

Continent

One of the Earth's major landmasses.

CountryRegion

A country or region.

Crater

A circular depression formed by volcanic activity or meteorite impact.

CulturalRegion

An area distinguished by shared cultural characteristics, such as language, ethnicity, or heritage.

Dam

A barrier constructed across a stream or river to impound water.

Delta

A landform of alluvial deposits formed where a river meets a larger body of water.

Desert

A large arid region with sparse vegetation due to limited precipitation.

DrainageBasin

An area of land drained by a river system and its tributaries.

Dune

A mound or ridge of wind-blown sand.

FacilityStructure

A structure that houses a specialized facility, such as a utility plant or service installation.

FerryTerminal

A facility where passengers and vehicles board and disembark ferries.

FinancialStructure

A building that houses a bank, credit union, or other financial services institution.

FireStation

A building that houses firefighters, equipment, and emergency response vehicles.

Forest

A large area of land dominated by trees.

Fort

A defensive military structure or earthworks.

Garden

A cultivated area for displaying ornamental or scientifically curated plants.

Geyser

A hot spring that periodically erupts jets of water and steam.

Glacier

A persistent mass of ice that moves slowly under its own weight.

GolfCourse

A field laid out for playing golf.

GreaterPopulatedPlace

A metropolitan area or conurbation that contains and extends beyond a populated place.

HigherEducationFacility

A college, university, or similar institution of post-secondary education.

HistoricalSite

A site of historical significance, often preserved as a cultural heritage location.

Hospital

A medical facility providing inpatient and outpatient care.

HotSpring

A natural spring where geothermally heated groundwater emerges at the surface.

Ice

A natural mass or surface layer of frozen water covering land or water.

IndigenousPeoplesReserve

A territory recognized as the homeland of an indigenous people or community.

IndustrialStructure

A building or installation used for manufacturing, production, or other industrial operations.

Island

A landmass surrounded by water, smaller than a continent.

Isthmus

A narrow strip of land connecting two larger landmasses and separating two bodies of water.

Lake

An inland body of standing water surrounded by land.

LandArea

A named land region that doesn't fit a more specific geographic category.

Landform

A natural land feature that doesn't fit a more specific category, such as a Mountain, Valley, or Plateau.

LandmarkBuilding

A notable building of architectural, cultural, or historical significance that serves as a recognizable landmark.

Library

A building that houses a collection of books and other media available for public use.

Lighthouse

A coastal or harbor structure displaying a navigation light to guide ships.

Marina

A harbor facility providing moorings and services for small boats and yachts.

Market

A place where goods are bought and sold, typically at retail.

MedicalStructure

A building used for medical or health-related services other than a Hospital, such as a clinic or medical office.

MetroStation

A station on a subway, underground, or other urban rapid-transit rail system.

MilitaryBase

An installation operated by armed forces for training, supply, or operations.

Mission

A complex operated by a religious group to provide community services and propagate faith.

Monument

A commemorative structure or statue erected to honor a person, event, or idea.

Mosque

A building used for public Islamic worship.

Mountain

A landform that rises significantly above its surroundings, typically with steep slopes and a defined summit.

MountainRange

A connected series of mountains forming a continuous range.

MultiModalStation

A station that serves multiple transportation modes, such as combined rail, bus, or metro services.

Museum

A facility where objects of artistic, scientific, or historical interest are preserved and exhibited.

NauticalStructure

A structure related to maritime or nautical activity, such as a pier, dock, or buoy.

Neighborhood

A locally recognized area within a populated place, often with informal or culturally defined boundaries.

Oasis

A fertile area in a desert sustained by a natural water source.

ObservationPoint

A vantage point or lookout providing scenic views of the surrounding area.

Ocean

One of the major divisions of Earth's global ocean.

OfficeBuilding

A building used primarily for professional or administrative office space.

Other

A suggestion that doesn't fit any other defined type.

Park

An area maintained for public recreation or scenic enjoyment.

ParkingStructure

A multi-level structure dedicated to vehicle parking.

Pass

A navigable route through or over a mountain range or similar obstruction.

Peninsula

A landmass projecting into a body of water and nearly surrounded by it.

Plain

An extensive area of relatively flat or gently undulating land.

Planet

A celestial body orbiting a star, typically used to represent the Earth as the root of the geographic hierarchy.

Plateau

An elevated area of relatively level land with steep slopes on one or more sides.

Playground

A recreational area equipped for children's play.

PlayingField

An open area used for playing organized sports.

Pole

A geographic pole, such as the North or South Pole.

PoliticalUnit

A self-governing political entity, such as an independent or dependent state or territory.

PopulatedPlace

A concentrated area of human settlement, such as a city, town or village.

Port

A maritime facility with terminals for loading and unloading waterborne cargo or passengers.

Postcode1

The smallest postal code category, such as a zip code.

Promontory

A prominent elevated landform projecting into a lowland or body of water.

RaceTrack

A track or course laid out for racing vehicles, animals, or athletes.

RailwayStation

A facility where passengers board and disembark trains.

Reef

A submerged or partially submerged ridge of rock, sand, or coral near the water surface.

ReligiousStructure

A building used for religious worship or practice that doesn't fit a more specific category, such as Church, Mosque, or Temple.

Reserve

A protected tract of land set aside for conservation, wildlife, or other restricted use.

ResidentialStructure

A building used primarily for human residence, such as an apartment or housing complex.

River

A natural watercourse flowing to a lower elevation, typically toward a sea, lake, or another river.

RoadBlock

A street segment without a specific house number, returned when the geocoding service cannot locate an exact house number for the query. Despite its name, this value does not indicate a physical road closure.

Ruin

A destroyed or decayed structure that no longer serves its original function.

ScientificResearchBase

A facility used as a base for scientific research, often in remote or extreme environments.

Sea

A large body of salt water partially enclosed by land, smaller than an ocean.

SeaplaneLandingArea

An area of water designated for seaplanes to take off and land.

Shrine

A structure or site that memorializes a person or commemorates a sacred event or concept.

SkiArea

A recreational area developed for skiing and other winter sports.

Spring

A natural source where groundwater flows from the earth's surface.

Stadium

A large venue with tiered seating for spectator sports or events.

StatisticalDistrict

A region defined for statistical or census purposes, such as a metropolitan statistical area or census tract.

Temple

A building dedicated to religious worship.

Theater

A venue for presenting plays, films, or other live or recorded performances.

TouristRailway

A scenic or heritage railway operated primarily for tourism rather than regular transit.

TouristStructure

A building that serves tourists, such as a visitor center or tourist information office.

Trailhead

The starting point of a hiking, biking, or recreational trail.

TransportationStructure

A structure that supports transportation infrastructure, such as a toll plaza, weigh station, or transit shelter.

Tunnel

An underground or underwater passage for road, rail, or pedestrian transit.

Valley

An elongated low-lying area between hills or mountains, often containing a watercourse.

Volcano

A mountain or hill formed by volcanic activity, typically with a crater at its summit.

Walkway

A path or paved surface designated for pedestrian use.

Wall

A constructed barrier forming a continuous vertical boundary, often used for defense, separation, or commemoration.

Waterfall

A point where a stream or river drops vertically or steeply.

WaterFeature

A body of water that doesn't fit a more specific category, such as a Lake, River, or Sea.

Wetland

An area of land saturated with water and supporting aquatic vegetation, such as a marsh or swamp.

Winery

A facility where wine is produced and often offered for tasting or sale.

Zoo

A facility where wild animals are kept for public exhibition and study.

AutocompleteResultTypeGroupsEnum

A coarse classification of an autocomplete suggestion into one of two groups. Used by Get Autocomplete both as an input filter via the resultTypeGroups query parameter (restricting which kinds of suggestions are returned) and as an output classifier via the typeGroup field on each AutocompleteProperties (identifying which group a returned suggestion belongs to). The Address group covers individual addresses and street segments; the Place group covers all other entity types (administrative regions, populated places, natural features, and points of interest).

Value Description
Address

Suggestions that resolve to a specific address or a road segment.

Place

Suggestions that resolve to named places, including administrative regions, populated places, neighborhoods, natural features, and points of interest. Examples include AdminDivision1, Neighborhood, and PopulatedPlace.

Azure.Core.Foundations.Error

The error object.

Name Type Description
code

string

One of a server-defined set of error codes.

details

Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror

Azure.Core.Foundations.InnerError

An object containing more specific information than the current object about the error.

message

string

A human-readable representation of the error.

target

string

The target of the error.

Azure.Core.Foundations.ErrorResponse

A response containing error details.

Name Type Description
error

Azure.Core.Foundations.Error

The error object.

Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

Name Type Description
code

string

One of a server-defined set of error codes.

innererror

Azure.Core.Foundations.InnerError

Inner error.

FeatureCollectionEnum

The GeoJSON object type used at the root of successful responses from the forward geocoding, reverse geocoding, and autocomplete operations (including their batch variants). The only value is FeatureCollection, as defined in RFC 7946. Get Polygon is the one exception: its response root is a GeoJSON Feature, see FeatureTypeEnum.

Value Description
FeatureCollection

The GeoJSON FeatureCollection object type. Appears as the root of every successful geocoding, reverse geocoding, and autocomplete response body. Get Polygon uses a Feature root instead.

FeatureTypeEnum

The GeoJSON object type for Feature objects. Tags each entry inside the features array of a FeatureCollection response (geocoding, reverse geocoding, autocomplete) and appears at the root of the Get Polygon response. The only value is Feature, as defined in RFC 7946.

Value Description
Feature

The GeoJSON Feature object type. Appears on every Feature inside a FeatureCollection response, and at the root of the Get Polygon response.

GeoJsonObjectType

Specifies the GeoJSON type. Must be one of the nine valid GeoJSON object types - Point, MultiPoint, LineString, MultiLineString, Polygon, MultiPolygon, GeometryCollection, Feature and FeatureCollection.

Value Description
Point

GeoJSON Point geometry.

MultiPoint

GeoJSON MultiPoint geometry.

LineString

GeoJSON LineString geometry.

MultiLineString

GeoJSON MultiLineString geometry.

Polygon

GeoJSON Polygon geometry.

MultiPolygon

GeoJSON MultiPolygon geometry.

GeometryCollection

GeoJSON GeometryCollection geometry.

Feature

GeoJSON Feature object.

FeatureCollection

GeoJSON FeatureCollection object.

GeoJsonPoint

A valid GeoJSON Point geometry type. Please refer to RFC 7946 for details.

Name Type Description
bbox

number[] (double)

Bounding box. Projection used - EPSG:3857. Please refer to RFC 7946 for details.

coordinates

number[] (double)

A Position is an array of numbers with two or more elements. The first two elements are longitude and latitude, precisely in that order. Altitude/Elevation is an optional third element. Please refer to RFC 7946 for details.

type string:

Point

Specifies the GeoJSON type. Must be one of the nine valid GeoJSON object types - Point, MultiPoint, LineString, MultiLineString, Polygon, MultiPolygon, GeometryCollection, Feature and FeatureCollection.

Intersection

Intersection details for an address resolved as a road intersection — the corner where two or more named streets meet. Populated only when the resolved entity is a RoadIntersection; the parent Address.intersection is otherwise omitted.

Name Type Description
baseStreet

string

The primary street of the intersection — typically the street the address number references.

displayName

string

A human-readable name for the intersection that combines the cross streets, such as "5th Avenue & Main Street".

intersectionType

string

A short label describing the form of the intersection. For example, distinguishing an at-grade crossroads from a grade-separated crossing such as a bridge or overpass.

secondaryStreet1

string

The first cross street that meets baseStreet at the intersection.

secondaryStreet2

string

The second cross street at the intersection, when one is present. Populated only for intersections of three or more streets.